File: changelog

package info (click to toggle)
gtkspell3 3.0.9-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 2,328 kB
  • sloc: sh: 4,352; ansic: 1,537; makefile: 185
file content (374 lines) | stat: -rw-r--r-- 11,372 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
gtkspell3 (3.0.9-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/libgtkspell3-3-0.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:59:16 -0500

gtkspell3 (3.0.9-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Use dh_missing --fail-missing
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 12:19:14 -0500

gtkspell3 (3.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Fix GNOME_DOWNLOAD_URL in debian/rules and use .xz compression.
  * Update debian/libgtkspell3-3-0.symbols.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Sep 2016 15:21:55 +0200

gtkspell3 (3.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libgtkspell3-3-0.symbols.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Apr 2016 02:14:20 +0200

gtkspell3 (3.0.7-2) unstable; urgency=medium

  * Stop installing the generated examples/Makefile. It's not particularly
    useful anyway (can't be used to compile the example .c files) and breaks
    multiarch co-installability. (Closes: #787317)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Jun 2015 23:42:04 +0200

gtkspell3 (3.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Convert to multiarch.
  * Bump Standards-Version to 3.9.6.
  * Update and rewrite debian/copyright using the machine-readable copyright
    format 1.0.

 -- Michael Biebl <biebl@debian.org>  Sat, 30 May 2015 20:36:56 +0200

gtkspell3 (3.0.6-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 23 Aug 2014 21:09:30 -0700

gtkspell3 (3.0.4-1) unstable; urgency=low

  [ Jackson Doak ]
  * New upstream release

  [ Michael Biebl ]
  * Set GNOME_DOWNLOAD_URL and TARBALL_EXT so "get-orig-source" works, the
    source tarball is hosted on sf.net.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Oct 2013 14:23:05 +0200

gtkspell3 (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Drop patches, all merged upstream.
  * debian/patches/01-hide-private-symbols.patch: Don't export private
    symbols.
  * Update symbols file, add new symbols.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Jun 2013 19:56:42 +0200

gtkspell3 (3.0.2-2) unstable; urgency=low

  [ Iain Lane ]
  * debian/patches/gtk-spell-cflags-typo.patch: Cherry-pick patch from
    upstream to substitute correct variable name for CFLAGS.
  * debian/patches/fix-automake-syntax.patch: Cherry-pick patch from
    upstream to use correct automake substitution syntax.
  * dh-autoreconf for this change.

  [ Jordi Mallach ]
  * Build-Depend on valac (>= 0.20).

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 May 2013 11:27:17 +0200

gtkspell3 (3.0.2-1) unstable; urgency=low

  * New upstream release. 
  * Make Debian GNOME Maintainers the primary maintainer of this package.
  * Update Build-Depends as per configure.ac.
  * Bump to debhelper compat v9.
  * Update to Standards-Version 3.9.4.
  * Enable gobject-introspection support and add a gir1.2-gtkspell3-3.0
    package.
  * Fix watch file to look for new tarball name.
  * Rename packages for name change: libgtkspell-3-0 → libgtkspell3-3-0.
  * Add Conflicts/Replaces for old packages, as there are filename clashes.
  * Add a symbols file for libgtkspell3-3-0.
  * Install vala files.
  * Build-Depend on libglib2.0-doc to ensure correct cross references in
    generated gtk-doc documentation.
  * Pass -c4 to dpkg-gensymbols.
  * Call the list-missing rule.

 -- Jordi Mallach <jordi@debian.org>  Mon, 29 Apr 2013 01:00:19 +0200

gtkspell3 (3.0.0~hg20110814-1) unstable; urgency=low

  * New upstream release, based on GTK+3.
  * Rename source package to gtkspell3, as we need to keep the GTK+2
    version and both can be installed in parallel.
  * Rename binary packages to match new lib name.
  * Bump Build-Depends to meet new requirements.
  * Bump to debhelper compat 8.
  * Rewrite debian/rules using CDBS, as most other pkg-gnome sources.
  * Rename *.files to .install.
  * Update symbols file.
  * Remove .dirs files.
  * Drop .la and .a files.
  * Pass --enable-gtk-doc to configure.
  * Remove duplicate Section field.
  * Add Homepage and Vcs-* fields.
  * Bump to Standards-Version 3.9.2.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Dec 2011 01:29:07 +0100

gtkspell (2.0.16-1) unstable; urgency=low

  * New upstream release
    - Should fix some memory leak problems (Closes: #520608)
  * Add Build-Depends-Package to .symbols file

 -- Ari Pollak <ari@debian.org>  Fri, 08 Jan 2010 22:13:05 -0500

gtkspell (2.0.13-2) unstable; urgency=low

  * Add updated copyright & watch files from Siegfried Gevatter 
    (Closes: #508069) 

 -- Ari Pollak <ari@debian.org>  Sat, 10 Jan 2009 16:48:43 -0500

gtkspell (2.0.13-1) unstable; urgency=low

  * New upstream release
    - Switch to Enchant (Closes: #473536)

 -- Ari Pollak <ari@debian.org>  Wed, 21 May 2008 19:30:47 -0400

gtkspell (2.0.10-4) unstable; urgency=low

  * Seed symbols file for libgtkspell0
  * Move spell-checking library from Libs to Libs.private in aspell.pc
  * Remove .la files since we provide a pkg-config .pc file

 -- Ari Pollak <ari@debian.org>  Sun, 20 Jan 2008 16:16:25 -0500

gtkspell (2.0.10-3) unstable; urgency=low

  * Update build-depends for libaspell-dev >= 0.60.3-3 for the C++ ABI
    transition

 -- Ari Pollak <ari@debian.org>  Sat,  9 Jul 2005 20:12:45 -0400

gtkspell (2.0.10-2) unstable; urgency=low

  * Re-enable word-breaking workarounds, it's still broken in Pango
    (Closes: #302799)

 -- Ari Pollak <ari@debian.org>  Thu, 19 May 2005 23:08:32 -0400

gtkspell (2.0.10-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun, 27 Feb 2005 15:32:50 -0500

gtkspell (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sat, 26 Feb 2005 13:48:13 -0500

gtkspell (2.0.8-1) unstable; urgency=low

  * New upstream release, contains some minor bugfixes and a new translation

 -- Ari Pollak <ari@debian.org>  Fri,  8 Oct 2004 14:14:49 -0400

gtkspell (2.0.7-1) unstable; urgency=low

  * New upstream release, conveniently with no changes since yesterday.
  * Actually include the LC_MESSAGES files in libgtkspell0 since
    it's now localized

 -- Ari Pollak <ari@debian.org>  Sun, 22 Aug 2004 22:59:02 -0400

gtkspell (2.0.6+cvs20040821-1) unstable; urgency=low

  * Update to latest upstream CVS, fixes spellchecking under gaim with a non-C
    locale, and fixes clobbering other programs' locales (Closes: #266380)

 -- Ari Pollak <ari@debian.org>  Sat, 21 Aug 2004 17:59:55 -0400

gtkspell (2.0.6-2) unstable; urgency=low

  * I just realized the -dev depdencies were incorrectly depending on
    libpspell-dev. Change it to libaspell-dev.

 -- Ari Pollak <ari@debian.org>  Sun,  8 Aug 2004 07:08:31 -0400

gtkspell (2.0.6-1) unstable; urgency=low

  * New upstream release (wow, I'm slow.)

 -- Ari Pollak <ari@debian.org>  Sat,  7 Aug 2004 23:54:47 -0400

gtkspell (2.0.5-3) unstable; urgency=low

  * Don't depend on aspell
  * Remove Recommends: aspell-dictionary, since libaspell15 provides that

 -- Ari Pollak <ari@debian.org>  Mon, 23 Feb 2004 07:24:53 -0500

gtkspell (2.0.5-2) unstable; urgency=low

  * Bump standards-version; no changes necessary

 -- Ari Pollak <ari@debian.org>  Sun,  1 Feb 2004 11:05:16 -0500

gtkspell (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Mon, 26 Jan 2004 16:12:36 -0500

gtkspell (2.0.4-7) unstable; urgency=low

  * Versioned dependency on libaspell-dev

 -- Ari Pollak <ari@debian.org>  Tue, 19 Aug 2003 12:32:51 -0400

gtkspell (2.0.4-6) unstable; urgency=low

  * Move -dev package to libdevel
  * Add versioned shlib

 -- Ari Pollak <ari@debian.org>  Wed,  4 Jun 2003 14:48:12 -0500

gtkspell (2.0.4-5) unstable; urgency=low

  * Don't build documentation, built docs already come in the 
    distribution. (Closes: #178143)

 -- Ari Pollak <ari@debian.org>  Thu, 23 Jan 2003 22:40:48 -0500

gtkspell (2.0.4-4) unstable; urgency=low

  * Don't specify -laspell in the pkg-config file. Will solve weird 
    aspell dependency problems in the future.

 -- Ari Pollak <ari@debian.org>  Mon, 20 Jan 2003 18:06:00 -0500

gtkspell (2.0.4-3) unstable; urgency=low

  * Add xsltproc to build-depends

 -- Ari Pollak <ari@debian.org>  Sat, 18 Jan 2003 22:40:29 -0500

gtkspell (2.0.4-2) unstable; urgency=low

  * Clean up docs/xml and docs/html/*.png since 'make clean' doesn't do 
  it properly itself.
  * Build-depends on gtk-doc-tools

 -- Ari Pollak <ari@debian.org>  Sat, 18 Jan 2003 19:57:11 -0500

gtkspell (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Use aspell instead of pspell (Closes: #177299)
  * Includes documentation in the -dev package

 -- Ari Pollak <ari@debian.org>  Fri, 17 Jan 2003 18:05:36 -0500

gtkspell (2.0.3-5) unstable; urgency=low

  * Make sure to include libgtkspell.la (Thanks Robert McQueen)

 -- Ari Pollak <ari@debian.org>  Sun, 15 Dec 2002 23:31:43 -0500

gtkspell (2.0.3-4) unstable; urgency=low

  * Depend on aspell. No reason people should be using ispell.

 -- Ari Pollak <ari@debian.org>  Thu, 12 Dec 2002 02:32:22 -0500

gtkspell (2.0.3-3) unstable; urgency=low

  * Recommends: aspell and aspell-dictionary, make a note in README.Debian.

 -- Ari Pollak <ari@debian.org>  Fri, 29 Nov 2002 22:15:28 -0500

gtkspell (2.0.3-2) unstable; urgency=low

  * Check for noopt in DEB_BUILD_OPTIONS correctly

 -- Ari Pollak <ari@debian.org>  Thu, 14 Nov 2002 19:09:51 -0500

gtkspell (2.0.3-1) unstable; urgency=low

  * New upstream release
    - Hack around Pango word-breaking bug:
      http://bugzilla.gnome.org/show_bug.cgi?id=97545
      so we no longer incorrectly flag words with apostrophes as
      misspellings.
  
 -- Ari Pollak <ari@debian.org>  Wed, 13 Nov 2002 22:46:43 -0500

gtkspell (2.0.2-3) unstable; urgency=low

  * Unreleased
  * Bump standards to 3.5.7
    - Don't check for debug, default to "-O2 -g -Wall" for CFLAGS and
      check for noopt, as policy suggests

 -- Ari Pollak <ari@debian.org>  Fri, 11 Oct 2002 20:42:40 -0400

gtkspell (2.0.2-2) unstable; urgency=low

  * Updated -dev description
  * Recompile against libgtk2.0-0, not -0png3 (ugh)

 -- Ari Pollak <ari@debian.org>  Wed,  2 Oct 2002 20:26:55 -0400

gtkspell (2.0.2-1) unstable; urgency=low

  * New upstream release
    - Fixes a crash if the LANG env variable isn't set (which isn't the
	  case on almost all Debian systems)

 -- Ari Pollak <ari@debian.org>  Tue, 13 Aug 2002 17:08:04 -0400

gtkspell (2.0.1-2) unstable; urgency=low

  * Recompile against libgtk2.0-0png3
  * New upstream release

 -- Ari Pollak <ari@debian.org>  Thu,  11 Aug 2002 15:59:05 -0400

gtkspell (2.0.0-2) unstable; urgency=low

  * Add dependencies to the -dev package
  * Add debian/watch file
  * Debhelper v4

 -- Ari Pollak <compwiz@aripollak.com>  Tue, 30 Jul 2002 13:44:37 -0400

gtkspell (2.0.0-1) unstable; urgency=low

  * Initial Debian release. (Closes: #153160)

 -- Ari Pollak <compwiz@aripollak.com>  Sun,  5 May 2002 16:12:31 -0400